FROM mysql:latest

# install Python 3
RUN apt-get update && apt-get install -y python3 python3-pip python3.7-dev

# install PyMySQL library using PIP; 
# this is necessary for Ansible mysql_user module support
RUN python3 -m pip install PyMySQL
RUN python3 -m pip install PyMySQL[rsa]
RUN python3 -m pip install PyMySQL[ed25519]
